<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.community.elevator.alarmdirector.mapper.AlarmDirectorMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="alarmDirectorResultMap" type="org.springblade.community.elevator.alarmdirector.entity.AlarmDirector">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="residential_id" property="residentialId"/>
        <result column="residential_name" property="residentialName"/>
        <result column="person_name" property="personName"/>
        <result column="person_tel" property="personTel"/>
    </resultMap>


    <select id="selectAlarmDirectorPage" resultMap="alarmDirectorResultMap">
        select * from yt_alarm_director where is_deleted = 0
    </select>

</mapper>
